LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 05-27-2012, 12:38 PM   #1
rbuchanan
LQ Newbie
 
Registered: May 2012
Distribution: Debian
Posts: 17

Rep: Reputation: Disabled
CUPS will not load upon installation


Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
libsane-hpaio libcupsdriver1 libgs8 python-pexpect hplip-data
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
printer-driver-gutenprint
Suggested packages:
printer-driver-hpcups hplip cups-pdf smbclient gutenprint-doc
gutenprint-locales
The following NEW packages will be installed:
cups printer-driver-gutenprint
0 upgraded, 2 newly installed, 0 to remove and 254 not upgraded.
Need to get 2,351 kB of archives.
After this operation, 5,640 kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 ftp://debian.uchicago.edu/debian/ sid/main cups amd64 1.5.3-1 [1,366 kB]
Get:2 ftp://debian.uchicago.edu/debian/ sid/main printer-driver-gutenprint amd64 5.2.7-5 [985 kB]
Fetched 2,351 kB in 6s (365 kB/s)
Preconfiguring packages ...
Selecting previously unselected package cups.
(Reading database ... 99071 files and directories currently installed.)
Unpacking cups (from .../cups_1.5.3-1_amd64.deb) ...
Selecting previously unselected package printer-driver-gutenprint.
Unpacking printer-driver-gutenprint (from .../printer-driver-gutenprint_5.2.7-5_amd64.deb) ...
Processing triggers for man-db ...
Setting up cups (1.5.3-1) ...
[....] Starting Common Unix Printing System: cupsd/usr/sbin/cupsd: symbol lookup error: /usr/sbin/cupsd: undefined symbol: _ppdCacheGetFinishingOptions
. ok
Setting up printer-driver-gutenprint (5.2.7-5) ...
Did not update any PPD files
[FAIL] Reloading Common Unix Printing System: cupsd failed!

How can this be fixed? I'm running Debian 6 on a Compaq Presario CQ64, and want to install CUPS so that I can control my HP Laserjet 1018 printer with this laptop. Any help would be greatly appreciated!
 
Old 05-27-2012, 06:14 PM   #2
ceyx
Member
 
Registered: May 2009
Location: Fort Langley BC
Distribution: Kubuntu,Free BSD,OSX,Windows
Posts: 342

Rep: Reputation: 59
Perhaps try installing the suggested packages(from above), reboot and then go to http://localhost:631 ?

"Suggested packages:
printer-driver-hpcups hplip cups-pdf smbclient gutenprint-doc
gutenprint-locales"

Keep us posted !


Last edited by ceyx; 05-27-2012 at 06:15 PM. Reason: missing slash
 
1 members found this post helpful.
Old 05-27-2012, 09:02 PM   #3
rbuchanan
LQ Newbie
 
Registered: May 2012
Distribution: Debian
Posts: 17

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by ceyx View Post
Perhaps try installing the suggested packages(from above), reboot and then go to http://localhost:631 ?

"Suggested packages:
printer-driver-hpcups hplip cups-pdf smbclient gutenprint-doc
gutenprint-locales"

Keep us posted !

Thanks very much for your sound advice! Unfortunately...

Reading package lists... Done
Building dependency tree
Reading state information... Done
hplip is already the newest version.
printer-driver-hpcups is already the newest version.
printer-driver-hpcups set to manually installed.
The following extra packages will be installed:
krb5-locales libgssapi-krb5-2 libkrb5-3 libkrb5support0 samba-common
samba-common-bin
Suggested packages:
foomatic-db-gutenprint gimp-gutenprint ijsgutenprint krb5-doc krb5-user
cifs-utils
The following NEW packages will be installed:
cups-pdf gutenprint-doc krb5-locales samba-common samba-common-bin smbclient
The following packages will be upgraded:
libgssapi-krb5-2 libkrb5-3 libkrb5support0
3 upgraded, 6 newly installed, 0 to remove and 239 not upgraded.
Need to get 24.2 MB of archives.
After this operation, 64.9 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 ftp://debian.uchicago.edu/debian/ sid/main libgssapi-krb5-2 amd64 1.10.1+dfsg-1 [147 kB]
Get:2 ftp://debian.uchicago.edu/debian/ sid/main libkrb5-3 amd64 1.10.1+dfsg-1 [393 kB]
Get:3 ftp://debian.uchicago.edu/debian/ sid/main libkrb5support0 amd64 1.10.1+dfsg-1 [49.0 kB]
Get:4 ftp://debian.uchicago.edu/debian/ sid/main krb5-locales all 1.10.1+dfsg-1 [1,502 kB]
Get:5 ftp://debian.uchicago.edu/debian/ sid/main cups-pdf amd64 2.6.1-6 [50.5 kB]
Get:6 ftp://debian.uchicago.edu/debian/ sid/main gutenprint-doc all 5.2.7-5 [830 kB]
Get:7 ftp://debian.uchicago.edu/debian/ sid/main samba-common all 2:3.6.5-3 [394 kB]
Get:8 ftp://debian.uchicago.edu/debian/ sid/main samba-common-bin amd64 2:3.6.5-3 [6,386 kB]
Get:9 ftp://debian.uchicago.edu/debian/ sid/main smbclient amd64 2:3.6.5-3 [14.4 MB]
Fetched 24.2 MB in 54s (442 kB/s)
Reading changelogs... Done
Preconfiguring packages ...
(Reading database ... 102366 files and directories currently installed.)
Preparing to replace libgssapi-krb5-2:amd64 1.9.1+dfsg-3 (using .../libgssapi-krb5-2_1.10.1+dfsg-1_amd64.deb) ...
Unpacking replacement libgssapi-krb5-2:amd64 ...
Preparing to replace libkrb5-3:amd64 1.9.1+dfsg-3 (using .../libkrb5-3_1.10.1+dfsg-1_amd64.deb) ...
Unpacking replacement libkrb5-3:amd64 ...
Preparing to replace libkrb5support0:amd64 1.9.1+dfsg-3 (using .../libkrb5support0_1.10.1+dfsg-1_amd64.deb) ...
Unpacking replacement libkrb5support0:amd64 ...
Selecting previously unselected package krb5-locales.
Unpacking krb5-locales (from .../krb5-locales_1.10.1+dfsg-1_all.deb) ...
Selecting previously unselected package cups-pdf.
Unpacking cups-pdf (from .../cups-pdf_2.6.1-6_amd64.deb) ...
Selecting previously unselected package gutenprint-doc.
Unpacking gutenprint-doc (from .../gutenprint-doc_5.2.7-5_all.deb) ...
Selecting previously unselected package samba-common.
Unpacking samba-common (from .../samba-common_2%3a3.6.5-3_all.deb) ...
Selecting previously unselected package samba-common-bin.
Unpacking samba-common-bin (from .../samba-common-bin_2%3a3.6.5-3_amd64.deb) ...
Selecting previously unselected package smbclient.
Unpacking smbclient (from .../smbclient_2%3a3.6.5-3_amd64.deb) ...
Processing triggers for cups ...
[....] Starting Common Unix Printing System: cupsd/usr/sbin/cupsd: symbol lookup error: /usr/sbin/cupsd: undefined symbol: _ppdCacheGetFinishingOptions
. ok
Processing triggers for man-db ...
Setting up libkrb5support0:amd64 (1.10.1+dfsg-1) ...
Setting up libkrb5-3:amd64 (1.10.1+dfsg-1) ...
Setting up libgssapi-krb5-2:amd64 (1.10.1+dfsg-1) ...
Setting up krb5-locales (1.10.1+dfsg-1) ...
Setting up cups-pdf (2.6.1-6) ...
[FAIL] Reloading Common Unix Printing System: cupsd failed!
CUPS failed to reload its configuration!
Setting up gutenprint-doc (5.2.7-5) ...
Setting up samba-common (2:3.6.5-3) ...
Creating config file /etc/samba/smb.conf with new version
Setting up samba-common-bin (2:3.6.5-3) ...
update-alternatives: using /usr/bin/nmblookup.samba3 to provide /usr/bin/nmblookup (nmblookup) in auto mode.
update-alternatives: using /usr/bin/net.samba3 to provide /usr/bin/net (net) in auto mode.
update-alternatives: using /usr/bin/testparm.samba3 to provide /usr/bin/testparm (testparm) in auto mode.
Setting up smbclient (2:3.6.5-3) ...

Prior to your post, I installed and attempted to utilize hplip, which identified my LJ 1018 and functioned well until:

---------------------
| PRINT QUEUE SETUP |
---------------------


Please enter a name for this print queue (m=use model name:'HP_LaserJet_1018'*, q=quit) ?m
Using queue name: HP_LaserJet_1018
Locating PPD file... Please wait.
warning: No PPD found for model laserjet_1018 using new algorithm. Trying old algorithm...
error: No PPD found for model laserjet_1018 using old algorithm.
error: Unable to find an appropriate PPD file.

Would you like to specify the path to the correct PPD file to use (y=yes, n=no*, q=quit) ?
error: PPD file required. Setup cannot continue. Exiting.

So, I listed files in /etc/cups/ppd and found:
HP-LaserJet-1018.ppd

On a second attempt, I specified this PPD:

---------------------
| PRINT QUEUE SETUP |
---------------------


Please enter a name for this print queue (m=use model name:'HP_LaserJet_1018'*, q=quit) ?m
Using queue name: HP_LaserJet_1018
Locating PPD file... Please wait.
warning: No PPD found for model laserjet_1018 using new algorithm. Trying old algorithm...
error: No PPD found for model laserjet_1018 using old algorithm.
error: Unable to find an appropriate PPD file.

Would you like to specify the path to the correct PPD file to use (y=yes, n=no*, q=quit) ? /etc/cups/ppd/HP-LaserJet-1018.ppd

Description for the file: HP LaserJet 1018 Foomatic/foo2zjs (recommended)

Use this file (y=yes*, n=no, q=quit) ? y
Enter a location description for this printer (q=quit) ?
Enter additonal information or notes for this printer (q=quit) ?

Adding print queue to CUPS:
Device URI: hp:/usb/HP_LaserJet_1018?serial=KP2H8WE
Queue name: HP_LaserJet_1018
PPD file: /etc/cups/ppd/HP-LaserJet-1018.ppd
Location:
Information:
error: Printer queue setup failed. Please restart CUPS and try again.


Unless I'm mistaken, this might have worked if CUPS hadn't failed to load again, but I don't know how to enable it.
 
Old 05-27-2012, 09:36 PM   #4
ceyx
Member
 
Registered: May 2009
Location: Fort Langley BC
Distribution: Kubuntu,Free BSD,OSX,Windows
Posts: 342

Rep: Reputation: 59
I recall having the same problem. If I remember correctly, I just installed another generic printer driver and dumped hplip.
In any event, this may be of interest to you from our friends at Arch :

https://bbs.archlinux.org/viewtopic.php?id=121580
 
Old 05-27-2012, 09:44 PM   #5
ceyx
Member
 
Registered: May 2009
Location: Fort Langley BC
Distribution: Kubuntu,Free BSD,OSX,Windows
Posts: 342

Rep: Reputation: 59
Sorry, I didn't answer your question : "but I don't know how to enable it"

as root run :

/etc/init.d/cups restart

(or reload, stop, start ...etc )
 
Old 05-30-2012, 01:26 PM   #6
rbuchanan
LQ Newbie
 
Registered: May 2012
Distribution: Debian
Posts: 17

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by ceyx View Post
Sorry, I didn't answer your question : "but I don't know how to enable it"

as root run :

/etc/init.d/cups restart

(or reload, stop, start ...etc )
Thank you so very, very much!

Subsequently, hplip installed its print queue successfully, and I printed a news article without incident. I'm deeply grateful for your help!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
setting up printer an Epson color stylus 740 cups will not load error rafty114 Linux - Hardware 2 01-01-2008 11:09 AM
Printing to windows from linux: CUPS wont load Maverick1182 Linux - Newbie 4 09-18-2006 08:01 AM
unable to load parallel port drivers for cups bipins1979 Linux - Hardware 3 09-03-2005 03:19 PM
Make CUPS load at startup PeteWieland Linux - Newbie 7 04-01-2005 12:54 PM
CUPS auto load DaveyB Linux - Software 2 09-03-2004 01:51 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 02:21 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration